grk::PacketTracker Struct Reference

`#include <TileProcessor.h>`

## Public Member Functions

| PacketTracker ()
| ~PacketTracker ()
void | init (uint32_t numcomps, uint32_t numres, uint64_t numprec, uint32_t numlayers)
void | clear (void)
void | packet_encoded (uint32_t comps, uint32_t res, uint64_t prec, uint32_t layer)
bool | is_packet_encoded (uint32_t comps, uint32_t res, uint64_t prec, uint32_t layer)

## Private Member Functions

uint64_t | get_buffer_len (uint32_t numcomps, uint32_t numres, uint64_t numprec, uint32_t numlayers)
uint64_t | index (uint32_t comps, uint32_t res, uint64_t prec, uint32_t layer)

## Private Attributes

uint8_t * | bits
uint32_t | numcomps_
uint32_t | numres_
uint64_t | numprec_
uint32_t | numlayers_

## Constructor & Destructor Documentation

## PacketTracker()

grk::PacketTracker::PacketTracker | ( |  | ) |

## ~PacketTracker()

grk::PacketTracker::~PacketTracker | ( |  | ) |

References bits.

## Member Function Documentation

## clear()

void grk::PacketTracker::clear | ( | void |  | ) |

References bits, get_buffer_len(), grk::grk_read(), numcomps_, numlayers_, numprec_, and numres_.

Referenced by grk::T2Compress::compressPacketsSimulate(), grk::TileProcessor::doCompress(), and init().

## get_buffer_len()

uint64_t grk::PacketTracker::get_buffer_len | ( | uint32_t | numcomps,
|  | uint32_t | numres,
|  | uint64_t | numprec,
|  | uint32_t | numlayers
| ) |  |

private

References grk::grk_read().

Referenced by clear(), and init().

## index()

uint64_t grk::PacketTracker::index | ( | uint32_t | comps,
|  | uint32_t | res,
|  | uint64_t | prec,
|  | uint32_t | layer
| ) |  |

private

References grk::grk_read(), numcomps_, numprec_, and numres_.

Referenced by is_packet_encoded(), and packet_encoded().

## init()

void grk::PacketTracker::init | ( | uint32_t | numcomps,
|  | uint32_t | numres,
|  | uint64_t | numprec,
|  | uint32_t | numlayers
| ) |  |

References bits, clear(), get_buffer_len(), grk::grk_read(), numcomps_, numlayers_, numprec_, and numres_.

Referenced by grk::TileProcessor::init().

## is_packet_encoded()

bool grk::PacketTracker::is_packet_encoded | ( | uint32_t | comps,
|  | uint32_t | res,
|  | uint64_t | prec,
|  | uint32_t | layer
| ) |  |

References bits, grk::grk_read(), index(), numcomps_, numlayers_, numprec_, and numres_.

Referenced by grk::T2Compress::compressPacket(), and grk::T2Compress::compressPacketSimulate().

## packet_encoded()

void grk::PacketTracker::packet_encoded | ( | uint32_t | comps,
|  | uint32_t | res,
|  | uint64_t | prec,
|  | uint32_t | layer
| ) |  |

References bits, grk::grk_read(), index(), numcomps_, numlayers_, numprec_, and numres_.

Referenced by grk::T2Compress::compressPacket(), and grk::T2Compress::compressPacketSimulate().

## Member Data Documentation

## bits

uint8_t* grk::PacketTracker::bits

private

Referenced by clear(), init(), is_packet_encoded(), packet_encoded(), and ~PacketTracker().

## numcomps_

uint32_t grk::PacketTracker::numcomps_

private

Referenced by clear(), index(), init(), is_packet_encoded(), and packet_encoded().

## numlayers_

uint32_t grk::PacketTracker::numlayers_

private

Referenced by clear(), init(), is_packet_encoded(), and packet_encoded().

## numprec_

uint64_t grk::PacketTracker::numprec_

private

Referenced by clear(), index(), init(), is_packet_encoded(), and packet_encoded().

## numres_

uint32_t grk::PacketTracker::numres_

private

Referenced by clear(), index(), init(), is_packet_encoded(), and packet_encoded().

The documentation for this struct was generated from the following files:

- TileProcessor.h
- TileProcessor.cpp